Skip to main content
GET
/
buoys
/
satellite_passes
List satellite altimeter passes
curl --request GET \
  --url https://api.thebuoy.app/v2/buoys/satellite_passes \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.thebuoy.app/v2/buoys/satellite_passes"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.thebuoy.app/v2/buoys/satellite_passes', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "satellite_passes": [
      {
        "id": 123,
        "name": "Bay of Biscay pass · CFOSAT · 14 May 10:00 UTC",
        "external_id": "<string>",
        "satellite_pass_id": "<string>",
        "platform": "CFOSAT",
        "mission": {
          "slug": "cfosat",
          "name": "CFOSAT"
        },
        "started_at": "2023-11-07T05:31:56Z",
        "ended_at": "2023-11-07T05:31:56Z",
        "buoy_count": 123,
        "observation_count": 123,
        "bounds": {
          "south": 123,
          "west": 123,
          "north": 123,
          "east": 123
        }
      }
    ],
    "count": 123
  }
}
{
  "error": "unauthorized",
  "message": "Invalid API key",
  "timestamp": "2025-12-27T14:30:00Z",
  "request_id": "550e8400-e29b-41d4-a716-446655440000"
}
{
  "error": "resource_not_found",
  "message": "Couldn't find Spot with 'id'=999",
  "timestamp": "2025-12-27T14:30:00Z",
  "request_id": "550e8400-e29b-41d4-a716-446655440000"
}
{
  "error": "rate_limit_exceeded",
  "message": "You have exceeded 1000 requests per hour",
  "timestamp": "2025-12-27T14:30:00Z",
  "request_id": "550e8400-e29b-41d4-a716-446655440000"
}

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token in the Authorization header.

Format: Authorization: Bearer YOUR_API_KEY

Alternative: Pass as query parameter ?api_key=YOUR_API_KEY

Security: API keys are stored as BCrypt hashes (never plain text). Only the hash is stored in the database.

Query Parameters

mission
string

Filter passes to a single satellite mission, by slug (see GET /buoys/satellites).

active_only
boolean
default:true

When true (default), return only passes that have fresh, displayable buoy readings.

since
string<date-time>

Only return passes at or after this ISO 8601 timestamp.

limit
integer
default:20

Maximum number of passes to return (default: 20, max: 100).

Required range: 1 <= x <= 100

Response

Successful response

status
string
Example:

"success"

data
object